Name:		nested
Version:	1.2.2
Release:	20%{?dist}
Summary:	A specialized editor focused on creating structured documents
Group:		Applications/Publishing
License:	GPLv2+
URL:		http://nestededitor.sourceforge.net/
Source0:	http://downloads.sourceforge.net/nestededitor/%{name}-%{version}.tar.gz
Source1:	nested.desktop
Patch1:		nested-1.2.2-shebang.patch
Patch2:		nested-1.2.2-PIL.patch
Patch3:		nested-1.2.2-mathjax.patch	
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python2-devel gettext-devel desktop-file-utils
Requires:	pygtk2 pywebkitgtk tetex-IEEEtran tex(latex)
Requires:	python-pillow
Requires:	mathjax

%description
An editor designed to help the user concentrate on writing content without been 
distracted by format or markup. It offers a rich WYSIWYM interface where the 
user writes plain text with a lightweight markup language. 

%prep
%setup -q -n %{name}-%{version} 
%patch1 -p0 -b txt2tags
%patch2 -p0 -b nested_gui.py
%patch3 -p0 -b nested_gui.py

%build
python setup.py build 

%install
rm -rf %{buildroot}
python setup.py install --skip-build --root=%{buildroot}

#To generate locale files nested has command complie_mo.py
#this generate the mo files that have to be located on /usr/share locale
python l10n/compile_mo.py
mkdir -p %{buildroot}/usr/share/locale
cp -p -r l10n/mo/* %{buildroot}/usr/share/locale 
%find_lang %{name} 

#add the ico file
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -p nested/nested.svg %{buildroot}%{_datadir}/pixmaps

#to generate the man pages we use txt2tags.py script included on nested
mkdir -p %{buildroot}%{_datadir}/man/man1
python -B nested/txt2tags.py --target man \
--infile nested/examples/Manpage/Manpage.t2t \
--outfile nested/nested.1  
cp -p nested/nested.1 %{buildroot}%{_datadir}/man/man1

#add the desktop file
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README.txt CHANGELOG.txt LICENSE.txt
%{python_sitelib}/nested/
%{python_sitelib}/nested-%{version}-py*.egg-info
%{_bindir}/nested
%{_datadir}/pixmaps/nested.svg
%{_datadir}/man/man1/nested.1.*
%{_datadir}/applications/nested.desktop

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-18
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 28 2014 Abdel G. Martinez L. <potty@fedoraproject.org> 1.2.2-14
- Add patch to change package mathjax for system mathjax
- Added python-pillow and mathjax dependencies

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Alejandro Perez <aeperezt@fedoraproject.orf> 1.2.2-12
- fix date error
- removed commented download url link
* Sat Jul 20 2013 Alejandro Perez <aeperezt@fedoraproject.orf> 1.2.2-11
- added patch to change Import Image to from PIL import Image 
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 05 2012 Alejandro Perez <aeperezt@fedoraproject.org> 1.2.2-8
- changed Sumary and description 
* Wed Jan 04 2012 Alejandro Perez <aeperezt@fedoraproject.org> 1.2.2-7
- added require build desktop-file-utils
- rename txt2tags.patch to nested-1.2.2-shebang.patch 
* Wed Jan 04 2012 Alejandro Perez <aeperezt@fedoraproject.org> 1.2.2-6
- change to use desktop-file-install
- change mv to cp use with -p option as sugested.
* Sun Jan 01 2012 Alejandro Perez <aeperezt@fedoraproject.org> 1.2.2-5
- added icons for desktop
- added desktop file 
- added patch to take out sheban
- added man paged generated by txt2tags.py script
* Fri Dec 30 2011 Alejandro Perez <aeperezt@fedoraproject.org> 1.2.2-4
- fixed ending with a "."
- added defattr 
* Thu Dec 29 2011 Alejandro Perez <aeperezt@fedoraproject.org> 1.2.2-3
- Added Comments for l10 construction
- fixed summary errors
- changed license GPL2+ to GPLv2+
- Droped tarball_name, pyhthon require, if claused  
- change build require to gettext-devel
- change textlive to tex(latex)
* Tue Dec 20 2011 Alejandro Perez <aeperezt@fedoraproject.org> 1.2.2-2
- Fixed locale files location
- Group change and added localization files and tetex-IEEEtran lib
* Mon Dec 19 2011 Alejandro Perez <aeperezt@fedoraproject.org> 1.2.2-1
- First package build.
